> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vambe.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a single email campaign



## OpenAPI

````yaml /openapi.json get /api/public/email-campaign/{id}
openapi: 3.0.0
info:
  title: Vambe AI API
  description: Vambe AI documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.vambe.me
    description: Production Server
security: []
tags:
  - name: Vambe AI
    description: ''
paths:
  /api/public/email-campaign/{id}:
    get:
      tags:
        - email-channel
      summary: Get a single email campaign
      operationId: PublicEmailCampaignController_getOne
      parameters:
        - name: x-api-key
          in: header
          description: API key needed to authorize the request
          required: true
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            format: uuid
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmailCampaignResponseDto'
        '404':
          description: Email campaign not found
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmailCampaignResponseDto'
components:
  schemas:
    EmailCampaignResponseDto:
      type: object
      properties:
        id:
          type: string
        title:
          type: string
        status:
          type: string
          enum:
            - draft
            - scheduled
            - sending
            - sent
            - failed
        email_template_id:
          type: string
        email_channel_id:
          type: string
        scheduled_at:
          format: date-time
          type: string
          nullable: true
        sent_at:
          format: date-time
          type: string
          nullable: true
        total_recipients:
          type: number
        created_at:
          format: date-time
          type: string
      required:
        - id
        - title
        - status
        - email_template_id
        - email_channel_id
        - scheduled_at
        - sent_at
        - total_recipients
        - created_at

````